VisualEditor support for editing inside CollaborationKit
Open, NormalPublic

Description

Page descriptions and a lot of the content is still, ultimately, wikitext. Thus it should be editable with VE. Ideally this would take the form of some sort of VE plugin to bypass specialeditcollaborationhub entirely, but having the fields be, eh, little VE instances or something might be interesting as well.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
StalledNone
OpenEsanders
OpenNone
ResolvedJdforrester-WMF
Resolveddchen
ResolvedCapt_Swing
ResolvedJdforrester-WMF
ResolvedCapt_Swing
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedJdforrester-WMF
ResolvedPginer-WMF
ResolvedWhatamidoing-WMF
ResolvedEsanders
InvalidNone
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
Resolved AlexMonk-WMF
ResolvedEsanders
ResolvedEsanders
ResolvedEsanders
ResolvedJdforrester-WMF
DuplicateNone
OpenNone
OpenNone
ResolvedEsanders
ResolvedEsanders
ResolvedWhatamidoing-WMF
OpenNone
StalledNone
OpenNone
OpenNone
OpenNone
OpenNone
ResolvedEsanders
OpenNone
ResolvedEsanders
ResolvedEsanders
OpenNone
ResolvedDLynch
ResolvedDLynch
ResolvedEsanders
ResolvedSchnark
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedNone
OpenNone
OpenNone
Resolved AlexMonk-WMF
ResolvedEsanders
OpenNone
DuplicateNone
ResolvedJdforrester-WMF
ResolvedEsanders
Isarra created this task.Apr 7 2016, 4:54 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 7 2016, 4:54 AM
Harej added a subscriber: Harej.EditedMay 27 2016, 9:33 AM

Flow does something like this where they have little VE boxes and a nice way to switch back and forth between VE and source editing.

I am (momentarily) sorting this for future release since, as I understand, there will be special editors for WikiProject pages and probably special editors for list pages as well. The use of these special editors obviates the use (or value) of VisualEditor for these things. The only place where VisualEditor would be needed would be for the WikiProject intro (which should predominantly be plaintext) or for the subpages that aren't wikilists (which would be regular wikitext pages and editable by VisualEditor anyway). Therefore, while there is value for this, it is not all that important right now.

Please let me know if I am missing something obvious. If there is a need for rich content editing that the specialized WikiProject/list editors don't fulfill then priority will be bumped up.

Harej triaged this task as High priority.May 27 2016, 9:38 AM
Harej lowered the priority of this task from High to Normal.Aug 4 2016, 7:36 PM
Jdforrester-WMF renamed this task from VisualEditor support for editing to VisualEditor support for editing inside CollaborationKit.Aug 10 2016, 5:45 PM